LGENERAL(6)

NAME
LGeneral - a turn-based strategy game engine.

SYNOPSIS
lgeneral [options] [resource-file]

DESCRIPTION
LGeneral is a strategy game engine heavily inspired by Panzer General. You play single scenarios or whole campaigns turn by turn against a human player or the AI.

OPTIONS

--ai-debug=<loglev>

    Verbosity level of debug messages for AI turn

--campaign-start=<state>

    Initial state to start campaign with (debug only)

--control=<who>

    Entity who controls the current side. <who> is either human, or cpu (short: h, or c). Multiple options can be specified. In this case the first option refers to the first side, the second option to the second side, etc.

--(no-)deploy-turn

    Allow/Disallow deployment of troops before scenario starts.

--(no-)purchase

    Enable/Disable option for purchasing by prestige. If disabled the predefined reinforcements are used.

--notitle
    Inhibit title screen

--speed=<n> Accelerate animation speed by <n>

--version
    Display version information and quit

<resource-file> scenario file relative to scenarios-directory, or campaign file relative to campaigns-directory under /usr/share/games/lgeneral

SEE ALSO
lgc-pg(1)